HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get locations of Wi-Fi clients

This API provides Wi-Fi client locations using a variety of query options. Please use either latest-location-per-client or last-connect-client-mac-address query parameters. For details please refer to descriptions of corresponding parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 2048

This is required parameter if latest-location-per-client parameter is used. OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
siteId (mandatory)eq and in
buildingIdeq and in
floorIdeq and in
associatedeq
connectedeq

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

Note: Provide boolean values (true/false) in lowercase.

int64
0 to 9223372036854776000

Retrieve data starting at the specified timestamp. Given in milliseconds from epoch. If no timestamp is provided, all data will be considered.

int32
0 to 1000
Defaults to 100

Denotes the maximum number of clients returned in the response. (Default: 100)

int32
0 to 2147483647

Specifies the zero-based resource offset to start the page from. Default: 0

int32
1 to 1

Provides a list of latest client locations. Only the value of 1 is supported for the moment. It is mutually exclusive from parameter last-connect-client-mac-address.

string
length between 17 and 17

Provides the latest location information for a specific client that is connected and associated. Do not provide filter, offset and limit when using this query parameter. It is mutually exclusive from parameter latest-location-per-client.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json